Compartir a través de


Monitoring - Retrieve Widgets For Entity

Recupera los widgets del panel y la entidad. NOTA: Esto solo admite la recuperación de widgets para un panel de rendimiento.

GET http://<Servername>/OperationsManager/monitoring/dashboard/{dashboardId}/entity/{entityId}

Parámetros de identificador URI

Nombre En Requerido Tipo Description
dashboardId
path True

string

Especificar el identificador del panel

entityId
path True

string

Especificar el ID de entidad

Respuestas

Nombre Tipo Description
200 OK

ComponentResponse[]

De acuerdo. Se han recuperado correctamente los widgets del panel y la entidad.

Media Types: "application/json", "text/json", "application/xml", "text/xml"

Ejemplos

RetrieveWidgets

Solicitud de ejemplo

GET http://<Servername>/OperationsManager/monitoring/dashboard/925b3d43-d716-d56d-84ba-55a2467a6e7d/entity/b39822ed-0efd-b8e0-9ac4-968b5de725ab

Respuesta de muestra

[
  {
    "id": "b39822ed-0efd-b8e0-9ac4-968b5de725ab",
    "name": "performance windows",
    "description": null,
    "mpId": "dcfdedc4-68bd-42b4-1e9a-ba94b1577732",
    "componentType": "HtmlPerformanceWidget",
    "config": "{\"widgetDisplay\":{\"col\":1,\"row\":1,\"sizex\":6,\"sizey\":4,\"selectedLegends\":[\"Target\",\"Path\",\"LastValue\"],\"visualizeObjectsByPerformance\":false},\"widgetParameters\":{\"scope\":{\"scopeSelection\":[{\"id\":\"6f7e3306-beeb-2996-3795-7c1eafb925b8\",\"displayName\":\"All Windows Computers\",\"className\":\"All Windows Computers\",\"path\":null,\"fullName\":\"Microsoft.SystemCenter.AllComputersGroup\",\"objectType\":-1}]},\"criteria\":{\"timeRange\":{\"timeValue\":24,\"timeUnit\":\"Hours\"},\"performanceCounters\":[]}},\"widgetRefreshInterval\":5}"
  }
]

Definiciones

ComponentResponse

Nombre Tipo Description
componentType

string

Tipo de componente

config

string

configuración

description

string

Descripción del componente

id

string

identificación

mpId

string

ID de MP de componente

name

string

Nombre de componente